lib_LIBRARIES=libssl.a
TESTS=ssltest
EXTRA_PROGRAMS=ssltest

libssl_a_SOURCES=bio_ssl.c s23_clnt.c s23_lib.c s23_meth.c s23_pkt.c \
	s23_srvr.c s2_clnt.c s2_enc.c s2_lib.c s2_meth.c s2_pkt.c s2_srvr.c \
	s3_both.c s3_clnt.c s3_enc.c s3_lib.c s3_meth.c s3_pkt.c s3_srvr.c \
	ssl_algs.c ssl_asn1.c ssl_cert.c ssl_ciph.c ssl_err.c ssl_err2.c \
	ssl_lib.c ssl_rsa.c ssl_sess.c ssl_stat.c ssl_txt.c

ssltest_SOURCES=ssltest.c
ssltest_LDFLAGS=-L$(top_builddir)/crypto -L$(top_builddir)/ssl
ssltest_LDADD=-lssl -lcrypto
ssltest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a \
$(top_builddir)/ssl/libssl.a

EXTRA_DIST=Makefile.ssl bio_ssl.orig.c build changes.ssl f readme ssl.c \
	ssl.err ssl.h ssl2.h ssl23.h ssl3.h ssl_locl.h ssl_task.c zz

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a

$(top_builddir)/ssl/libssl.a:
	cd $(top_builddir)/ssl; $(MAKE) $(MFLAGS) libssl.a

errors ssl_err.c ssl.h: ssl.err
	perl $(top_srcdir)/util/err-ins.pl ssl.err ssl.h
	perl $(top_srcdir)/crypto/err/err_genc.pl ssl.h ssl_err.c
